﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyDataModels.Models.TouristModels;
using TravelCompanyDataModels.Models.OperatorModels;

namespace TravelCompanyContracts.ViewModels.TouristViewModels
{
    public class TravelViewModel : ITravelModel
    {
        public int Id { get; set; }
        [DisplayName("Название путешествия")]
        public string TravelName { get; set; } = string.Empty;
        [DisplayName("Дата начала путешествия")]
        public DateTime DateStart { get; set; } = DateTime.Now;
        [DisplayName("Описание путешествия")]
        public string TravelDescription { get; set; } = string.Empty;
        public int TouristId { get; set; }
        [DisplayName("Логин туриста")]
        public string TouristLogin { get; set; } = string.Empty;
        public Dictionary<int, ITourModel> TourTravels { get; set; } = new();
    }
}
